* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


:root {
    --orange-color-light: rgba(154, 52, 18, 0.70);
    --orange-color-default: #EA580C;
    --orange-color-dark: #C2410C;
    --bg-button-nav: #FFF7ED;
    --title: #262626;
    --subtitle: #404040;
    --product-name: #1E293B;
    --description-product: #6B7280;
    --bg-whatsapp: #F0FDF4;
    --cta-whatsapp: #149F4B;
    --instagram: #DB2777;
    --default-padding: 10px;
}

html {
    scroll-behavior: smooth;
}


body {
    background: #F8F9FA;
    font-family: "Inter", sans-serif;
}

h2,
h3 {
    font-family: "Poppins", sans-serif;
}

a {
    text-decoration: none;
}

li {
    list-style: none;
}

.title-container {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 1.4em;

    .line-vertical {
        display: inline-block;
        width: 4px;
        height: 1.5em;
        background: var(--orange-color-default);
    }

    h3 {
        color: var(--subtitle);
        font-weight: 600;
        font-size: 1.4em;
    }
}


/* Animation */
.fade-up {
    opacity: 0;
    transform: translate3d(0, 40px, 0);
}

.fade-up.active {
    opacity: 1;
    transform: translate3d(0, 0, 0);
    transition:
        opacity 0.6s ease,
        transform 0.6s cubic-bezier(0.34, 1.56, 0.64, 1);
}


/* Content */
header {
    background: #FFFFFF;
    padding-bottom: 1em;

    .hero {
        height: 35vh;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;

        .bg-hero{
            height: 100%;
            width: 100%;
            position: absolute;
            top: 0; left: 0;
            object-fit: cover;
            object-position: 100% 60%;
        }
    }

    .hero::before {
        content: '';
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.5);
        z-index: 1;
    }

    .logo {
        color: #FFFFFF;
        display: flex;
        flex-direction: column;
        align-items: center;
        position: relative;
        z-index: 2;
        gap: 4px;

        .logo-img {
            width: 45px;
            height: 45px;
            background: var(--orange-color-default);
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        p {
            text-transform: uppercase;
            color: #CAC4C4;
            font-weight: 400;
            font-size: 0.9em;
        }
    }

    .content {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin: 2em 0 1em;
        gap: 4px;

        h2 {
            color: var(--title);
            font-weight: 600;
        }

        .line {
            display: block;
            width: 60px;
            height: 3px;
            border-radius: 30px;
            background: rgba(234, 88, 12, 0.80);
        }
    }
}

main {
    .wrapper {
        max-width: 1300px;
        margin: 2em auto;
        padding: var(--default-padding);

        >section {
            margin: 4em 0 0;
            scroll-margin-top: 80px;
        }

        section:first-child {
            margin: 1em 0;
        }
    }

    .navigation {
        display: flex;
        gap: 8px;
        align-items: center;
        overflow-y: auto;
        scrollbar-width: none;
        margin: 0em auto 1em;
        width: 100%;
        padding: 20px 8px;
        box-shadow: 0 4px 6px -2px rgba(0, 0, 0, 0.10);
        padding-bottom: 1em;

        position: sticky;
        top: 0;
        background: white;
        z-index: 100;

        a {
            display: inline-block;
            padding: 6px 18px;
            background: var(--bg-button-nav);
            border-radius: 30px;
            color: var(--orange-color-light);
            border: 1px solid rgba(250, 233, 212, 0.5);
            font-size: 0.9em;
            font-family: "Poppins", sans-serif;
            max-width: 180px;
            width: max-content;
            text-align: center;
            transition: color 0.3s ease, background-color 0.3s ease;
        }

        a.active, a:hover {
            background: var(--orange-color-default);
            color: #FFFFFF;
        }
    }

    .menus {
        display: flex;
        flex-direction: column;
        gap: 1.1em;

        .menu {
            max-width: 100%;
            background: #FFFFFF;
            padding: 20px 30px;
            border-radius: 10px;
            box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            gap: 1em;
            transition:
            opacity 0.6s ease,
            transform 0.6s cubic-bezier(0.34, 1.56, 0.64, 1),
            box-shadow 0.1s ease;

            .text-content {
                display: flex;
                flex-direction: column;
                gap: 1.2em;

                h4 {
                    color: var(--product-name);
                    font-size: 1.1em;
                    margin-bottom: 8px;
                }

                .desc {
                    color: var(--description-product);
                }

                .price_and_cta {
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    gap: 1em;
                }

                .price {
                    display: block;
                    color: var(--orange-color-dark);
                    font-weight: 700;
                    font-size: 1.20em;
                }

                .cta-whatsapp {
                    max-width: 120px;
                    background: var(--bg-whatsapp);
                    color: var(--cta-whatsapp);
                    display: flex;
                    gap: 6px;
                    align-items: center;
                    justify-content: center;
                    border: 1px solid rgba(20, 159, 75, 0.2);
                    padding: 4px;
                    border-radius: 30px;
                    font-size: 1em;
                    transition: background 0.2s ease, color 0.2s ease;
                }
                .cta-whatsapp:hover{
                    background: var(--cta-whatsapp);
                    color: var(--bg-whatsapp);
                }
            }

            .food-image {
                position: relative;
                min-width: 220px;
                aspect-ratio: 1 / 0.8;
                overflow: hidden;
                border-radius: 10px;

                img{
                    width: 220px;
                    height: 100%;
                    border-radius: 10px;
                    object-fit: cover;
                    transition: transform 0.3s ease;
                }
                .img-high-res{
                    position: absolute;
                    inset: 0;
                }

                .img-high-res{
                    opacity: 0;
                }

                .img-high-res.loaded{
                    opacity: 1;
                }
            }
        }
        .menu:hover {
            box-shadow: rgba(234, 88, 12, 0.4) 0px 2px 8px 0px;
        }
        .menu:hover .food-image{
            img{
                transform: scale(1.1);
            }
        }
    }
}

footer {
    text-align: center;
    margin: 4em 0 1em;
    padding: var(--default-padding);

    h2 {
        font-weight: 550;
        font-size: 1.4em;
        font-family: "Inter", sans-serif;
        color: var(--title);
        margin-bottom: 1em;
    }

    img {
        width: 20px;
    }

    .phone {
        transform: rotate(90deg);
    }

    .footer-info {
        display: flex;
        flex-direction: column;
        gap: 8px;
        border-bottom: 1px solid rgba(104, 104, 104, 0.2);
        padding-bottom: 2em;

        .info {
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 4px;
        }

        p,
        a {
            color: #4B5563;
            font-size: 1em;
        }
    }

    .instagram {
        display: inline-block;
        fill: var(--instagram);
        cursor: pointer;
        margin: 2em 0 0;
    }

    .accessibility-declaration{
        margin: 1em 0 2rem;
        a{
            display: flex;
            align-items: center;
            gap: 4px;
            justify-content: center;
            font-size: 0.9em;
            color: #4B5563;

            img{
                width: 18px;
            }
        }
    }

    .copy {
        font-size: 0.8em;
        color: var(--description-product);
    }
}

.view-more-models{
    margin: 2em 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1em;

    h3{
        font-weight: 500;
        font-size: 1em;
    }

    svg{
        width: 16px;
    }

    .next-model{
        background: #000B15;
        border-radius: 30px;

        a{
            display: flex;
            align-items: center;
            gap: 8px;
            color: #FFF;
            padding: 8px 18px;
            font-size: 1em;
        }
    }
    .back-page{
        a{
            gap: 8px;
            color: rgba(96, 96, 96, 1);
            padding: 4px 18px;
            font-size: 0.9em;
            text-decoration: underline;
        }
    }
}

@media (max-width: 540px) {
    main {

        .menus {
            .menu {
                padding: 15px;

                .text-content {
                    gap: 0.8em;

                    h4 {
                        font-size: 1em;
                    }

                    .desc {
                        font-size: 0.8em;
                    }

                    .price_and_cta {
                        flex-direction: row;
                        justify-content: flex-start;
                        align-items: center;

                        .price {
                            font-size: 1em;
                        }

                        .cta-whatsapp {
                            font-size: 0.8em;
                            padding: 4px 8px;

                            svg {
                                width: 18px;
                            }
                        }
                    }
                }

                .food-image {
                    min-width: 120px;
                    height: 100%;

                    img {
                        width: 120px;
                        aspect-ratio: 1/1;
                        object-fit: cover;
                    }
                }
            }
        }
    }
}

@media (prefers-reduced-motion: reduce) {
  * {
    transition: none !important;
    animation: none !important;
  }
}
